<?php
/**
 * OSB V2-Payment Module version 1.2.0 for osCommerce 2.3.x. Support contact : support@osb.pf.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * @author    Lyra Network (http://www.lyra-network.com/)
 * @copyright 2014-2017 Lyra Network and contributors
 * @license   http://www.gnu.org/licenses/old-licenses/gpl-2.0.html  GNU General Public License (GPL v2)
 * @category  payment
 * @package   osb
 */

// administration interface - informations
define('MODULE_PAYMENT_OSB_MODULE_INFORMATION', "MODULE DETAILS");
define('MODULE_PAYMENT_OSB_DEVELOPED_BY', "Developed by : ");
define('MODULE_PAYMENT_OSB_CONTACT_EMAIL', "Contact us : ");
define('MODULE_PAYMENT_OSB_CONTRIB_VERSION', "Module version : ");
define('MODULE_PAYMENT_OSB_GATEWAY_VERSION', "Platform version : ");
define('MODULE_PAYMENT_OSB_CMS_VERSION', "Tested with : ");
define('MODULE_PAYMENT_OSB_CHECK_URL', "Instant Payment Notification URL to copy into your OSB Back Office: <br />");

// administration interface - module settings
define('MODULE_PAYMENT_OSB_STATUS_TITLE', "Activation");
define('MODULE_PAYMENT_OSB_STATUS_DESC', "Enables / disables the OSB payment module.");
define('MODULE_PAYMENT_OSB_SORT_ORDER_TITLE', "Display order");
define('MODULE_PAYMENT_OSB_SORT_ORDER_DESC', "The smallest index is displayed first.");
define('MODULE_PAYMENT_OSB_ZONE_TITLE', "Payment area");
define('MODULE_PAYMENT_OSB_ZONE_DESC', "If an area is selected, this payment mode will only be available for it.");

// administration interface - platform settings
define('MODULE_PAYMENT_OSB_SITE_ID_TITLE', "Shop ID");
define('MODULE_PAYMENT_OSB_SITE_ID_DESC', "The identifier provided by your bank.");
define('MODULE_PAYMENT_OSB_KEY_TEST_TITLE', "Certificate in test mode");
define('MODULE_PAYMENT_OSB_KEY_TEST_DESC', "Certificate provided by your bank for test mode (available in OSB Back Office).");
define('MODULE_PAYMENT_OSB_KEY_PROD_TITLE', "Certificate in production mode");
define('MODULE_PAYMENT_OSB_KEY_PROD_DESC', "Certificate provided by your bank (available in OSB Back Office after enabling production mode).");
define('MODULE_PAYMENT_OSB_CTX_MODE_TITLE', "Mode");
define('MODULE_PAYMENT_OSB_CTX_MODE_DESC', "The context mode of this module.");
define('MODULE_PAYMENT_OSB_PLATFORM_URL_TITLE', "Payment page URL");
define('MODULE_PAYMENT_OSB_PLATFORM_URL_DESC', "Link to the payment page.");

// administration interface - payment settings
define('MODULE_PAYMENT_OSB_LANGUAGE_TITLE', "Default language");
define('MODULE_PAYMENT_OSB_LANGUAGE_DESC', "Default language on the payment page.");
define('MODULE_PAYMENT_OSB_AVAILABLE_LANGUAGES_TITLE', "Available languages");
define('MODULE_PAYMENT_OSB_AVAILABLE_LANGUAGES_DESC', "Languages available on the payment page. If you do not select any, all the supported languages will be available.");
define('MODULE_PAYMENT_OSB_CAPTURE_DELAY_TITLE', "Capture delay");
define('MODULE_PAYMENT_OSB_CAPTURE_DELAY_DESC', "The number of days before the bank capture (adjustable in your OSB Back Office).");
define('MODULE_PAYMENT_OSB_VALIDATION_MODE_TITLE', "Validation mode");
define('MODULE_PAYMENT_OSB_VALIDATION_MODE_DESC', "If manual is selected, you will have to confirm payments manually in your OSB Back Office.");
define('MODULE_PAYMENT_OSB_PAYMENT_CARDS_TITLE', "Card Types");
define('MODULE_PAYMENT_OSB_PAYMENT_CARDS_DESC', "The card type(s) that can be used for the payment. Select none to use platform configuration.");
define('MODULE_PAYMENT_OSB_3DS_MIN_AMOUNT_TITLE', "Minimum amount to activate 3-DS");
define('MODULE_PAYMENT_OSB_3DS_MIN_AMOUNT_DESC', "Needs subscription to Selective 3-D Secure option.");

// administration interface - amount restrictions settings
define('MODULE_PAYMENT_OSB_AMOUNT_MIN_TITLE', "Minimum amount");
define('MODULE_PAYMENT_OSB_AMOUNT_MIN_DESC', "Minimum amount to activate this payment method.");
define('MODULE_PAYMENT_OSB_AMOUNT_MAX_TITLE', "Maximum amount");
define('MODULE_PAYMENT_OSB_AMOUNT_MAX_DESC', "Maximum amount to activate this payment method.");

// administration interface - back to store settings
define('MODULE_PAYMENT_OSB_REDIRECT_ENABLED_TITLE', "Automatic redirection");
define('MODULE_PAYMENT_OSB_REDIRECT_ENABLED_DESC', "If enabled, the buyer is automatically redirected to your site at the end of the payment.");
define('MODULE_PAYMENT_OSB_REDIRECT_SUCCESS_TIMEOUT_TITLE', "Redirection timeout on success");
define('MODULE_PAYMENT_OSB_REDIRECT_SUCCESS_TIMEOUT_DESC', "Time in seconds (0-300) before the buyer is automatically redirected to your website after a successful payment.");
define('MODULE_PAYMENT_OSB_REDIRECT_SUCCESS_MESSAGE_TITLE', "Redirection message on success");
define('MODULE_PAYMENT_OSB_REDIRECT_SUCCESS_MESSAGE_DESC', "Message displayed on the payment page prior to redirection after a successful payment.");
define('MODULE_PAYMENT_OSB_REDIRECT_ERROR_TIMEOUT_TITLE', "Redirection timeout on failure");
define('MODULE_PAYMENT_OSB_REDIRECT_ERROR_TIMEOUT_DESC', "Time in seconds (0-300) before the buyer is automatically redirected to your website after a declined payment.");
define('MODULE_PAYMENT_OSB_REDIRECT_ERROR_MESSAGE_TITLE', "Redirection message on failure");
define('MODULE_PAYMENT_OSB_REDIRECT_ERROR_MESSAGE_DESC', "Message displayed on the payment page prior to redirection after a declined payment.");
define('MODULE_PAYMENT_OSB_RETURN_MODE_TITLE', "Return mode");
define('MODULE_PAYMENT_OSB_RETURN_MODE_DESC', "Method that will be used for transmitting the payment result from the payment page to your shop.");
define('MODULE_PAYMENT_OSB_ORDER_STATUS_TITLE', "Order Status");
define('MODULE_PAYMENT_OSB_ORDER_STATUS_DESC', "Defines the status of the orders paid with OSB.");

// administration interface - misc constants
define('MODULE_PAYMENT_OSB_VALUE_0', "Disabled");
define('MODULE_PAYMENT_OSB_VALUE_1', "Enabled");

define('MODULE_PAYMENT_OSB_VALIDATION_DEFAULT', "Back Office configuration");
define('MODULE_PAYMENT_OSB_VALIDATION_0', "Automatic");
define('MODULE_PAYMENT_OSB_VALIDATION_1', "Manual");

define('MODULE_PAYMENT_OSB_LANGUAGE_FRENCH', "French");
define('MODULE_PAYMENT_OSB_LANGUAGE_GERMAN', "German");
define('MODULE_PAYMENT_OSB_LANGUAGE_ENGLISH', "English");
define('MODULE_PAYMENT_OSB_LANGUAGE_SPANISH', "Spanish");
define('MODULE_PAYMENT_OSB_LANGUAGE_CHINESE', "Chinese");
define('MODULE_PAYMENT_OSB_LANGUAGE_ITALIAN', "Italian");
define('MODULE_PAYMENT_OSB_LANGUAGE_JAPANESE', "Japanese");
define('MODULE_PAYMENT_OSB_LANGUAGE_PORTUGUESE', "Portuguese");
define('MODULE_PAYMENT_OSB_LANGUAGE_DUTCH', "Dutch");
define('MODULE_PAYMENT_OSB_LANGUAGE_SWEDISH', "Swedish");
define('MODULE_PAYMENT_OSB_LANGUAGE_RUSSIAN', "Russian");
define('MODULE_PAYMENT_OSB_LANGUAGE_POLISH', "Polish");
define('MODULE_PAYMENT_OSB_LANGUAGE_TURKISH', "Turkish");

// catalog messages
define('MODULE_PAYMENT_OSB_TECHNICAL_ERROR', "An error occured in the payment process.");
define('MODULE_PAYMENT_OSB_PAYMENT_ERROR', "Your order has not been confirmed. The payment has not been accepted.");
define('MODULE_PAYMENT_OSB_CHECK_URL_WARN', "The automatic notification has not worked. Have you correctly set up the notification URL in your OSB Back Office?");
define('MODULE_PAYMENT_OSB_CHECK_URL_WARN_DETAIL', "For understanding the problem, please read the documentation of the module :<br />&nbsp;&nbsp;&nbsp;- Chapter «To read carefully before going further»<br />&nbsp;&nbsp;&nbsp;- Chapter «Notification URL settings»");
define('MODULE_PAYMENT_OSB_GOING_INTO_PROD_INFO', "<b>GOING INTO PRODUCTION :</b> You want to know how to put your shop into production mode, please go to this URL : ");

// single payment catalog messages
define('MODULE_PAYMENT_OSB_STD_TITLE', "OSB - Payment by credit card");
